
//LCD
#define       OLED_MOSI                      8
#define       OLED_CLK                       10
#define       OLED_DC                        11
#define       OLED_CS                        12
#define       OLED_RESET                     13

//кнопки
#define       KEY_0_PIN                      2
#define       KEY_1_PIN                      3
#define       KEY_2_PIN                      4
#define       KEY_3_PIN                      5
#define       KEY_4_PIN                      6
#define       KEY_5_PIN                      7
#define       KEY_6_PIN                      A0
#define       KEY_7_PIN                      A1

#define       KEYS_NUM                       8

#define       KEYBOARD_0                     0
#define       KEYBOARD_1                     1
#define       KEYBOARD_2                     2
#define       KEYBOARD_3                     3
#define       KEYBOARD_4                     4
#define       KEYBOARD_5                     5
#define       KEYBOARD_6                     6
#define       KEYBOARD_7                     7
#define       KEYBOARD_RELEASED              8

//расположение на дисплее
#define       STATUS_BAR_VER_POS             0
#define       STATUS_BAR_SIZE                1
#define       VOLUME_HOR_POS                 0
#define       VOLUME_VER_POS                 STATUS_BAR_VER_POS
#define       VOLUME_VALUE_HOR_POS           (VOLUME_HOR_POS + 17)
#define       VOLUME_VALUE_VER_POS           STATUS_BAR_VER_POS
#define       TUNE_MODE_HOR_POS              (VOLUME_VALUE_HOR_POS + 20)
#define       TUNE_MODE_VER_POS              STATUS_BAR_VER_POS
#define       FREQUENCY_HOR_POS              70
#define       FREQUENCY_VER_POS              STATUS_BAR_VER_POS
#define       MODE_HOR_POS                   115
#define       MODE_VER_POS                   STATUS_BAR_VER_POS
#define       DATA_SIZE                      2
#define       DATA_HOR_POS                   0
#define       DATA_VER_POS                   17
#define       DATA_CHAR_IN_LINE              10


#define       VOLUME_UP_FLAG                 (1 << 0)
#define       VOLUME_DOWN_FLAG               (1 << 1)
#define       FREQUENCY_UP_FLAG              (1 << 2)
#define       FREQUENCY_DOWN_FLAG            (1 << 3)
#define       MUTE_TOGGLE_FLAG               (1 << 4)
#define       MODE_CHANGE_FLAG               (1 << 5)
#define       MANUAL_TUNE_FLAG               (1 << 6)
#define       USER_FLAGS_MASK                (VOLUME_UP_FLAG | VOLUME_DOWN_FLAG | FREQUENCY_UP_FLAG | FREQUENCY_DOWN_FLAG | MUTE_TOGGLE_FLAG | MODE_CHANGE_FLAG | MANUAL_TUNE_FLAG)


